package com.gyee.wisdom.dao.topic;

import com.gyee.wisdom.common.data.point.TestingPoint;
import com.gyee.wisdom.common.data.topic.Topic;

import java.util.List;

/**
 * @author:Wanghs
 * @date:2018-04-25
 */

public interface ITopicDao {

    List<Topic> getAll();

    Topic getByTopic(String topicName);

    List<Topic>getListByPage(int pageIndex, int pageSize);

    Topic getById(String id);

    void save(Topic newTopic);

    void delete(String id);

    void  update(Topic data);

    void updatePoints(String topicId,List<String> pointIdList);

    void deleteByTopic(String topic);
}
